%define fname	pdfrw

Name:		python-pdfrw
Summary:	Pure Python PDF file reader/writer library
Version:	0.4
Release:	%mkrel 8
Group:		Development/Python
License:	MIT
URL:		https://github.com/pmaupin/pdfrw
Source0:	https://pypi.io/packages/source/p/%{fname}/%{fname}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	python3-devel


%description
pdfrw is a basic PDF file manipulation library. Developed and tested on 
Python 2.5-2.7,  pdfrw can read and write PDF files, and can also be used to 
read in PDFs which can then be used inside reportlab. 


%package -n python3-%{fname}
Summary:        Python library to read and write PDF files
Group:          Development/Python
%{?python_provide:%python_provide python3-%{fname}}


%description -n python3-%{fname}
pdfrw is a basic PDF file manipulation library. Developed and tested on 
Python 2.5-2.7,  pdfrw can read and write PDF files, and can also be used to 
read in PDFs which can then be used inside reportlab. 

%prep
%autosetup -n %{fname}-%{version}



%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pdfrw


%files -n python3-%{fname} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst examples




%changelog
* Wed Feb 26 2025 daviddavid <daviddavid> 0.4-8.mga10
+ Revision: 2152904
- rebuild for python 3.13

* Wed Dec 13 2023 papoteur <papoteur> 0.4-7.mga10
+ Revision: 2017781
- rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 0.4-6.mga9
+ Revision: 1823530
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 0.4-5.mga9
+ Revision: 1783374
- rebuild for python-3.10

* Sat Mar 20 2021 daviddavid <daviddavid> 0.4-4.mga9
+ Revision: 1705297
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.4-3.mga8
+ Revision: 1535584
- Mageia 8 Mass Rebuild

* Sun Oct 13 2019 tv <tv> 0.4-2.mga8
+ Revision: 1452450
- rebuild for python-3.8
- drop python2 subpkg

* Wed Jan 09 2019 shlomif <shlomif> 0.4-1.mga7
+ Revision: 1353754
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.2-4.mga7
+ Revision: 1289663
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.2-3.mga7
+ Revision: 1135543
- Rebuild for python 3.6
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Tue Nov 24 2015 philippem <philippem> 0.2-1.mga6
+ Revision: 905811
- update to 0.2, add Python3

* Wed Oct 15 2014 umeabot <umeabot> 0.1-8.mga5
+ Revision: 747107
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.1-7.mga5
+ Revision: 729314
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.1-6.mga5
+ Revision: 688209
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.1-4.mga4
+ Revision: 544075
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.1-3.mga4
+ Revision: 499112
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.1-2.mga3
+ Revision: 379259
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 philippem <philippem> 0.1-1.mga3
+ Revision: 334891
- imported package python-pdfrw

